SetDocBaseRule (Tomcat API Documentation)
Keywords: org.apache.catalina.startup.SetDocBaseRule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class SetDocBaseRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.catalina.startup.SetDocBaseRule

public class SetDocBaseRule
extends org.apache.commons.digester.Rule

Rule that modifies the docBase of the host, setting it appropriately, before adding the Context to the parent Host.

Author:
  Remy Maucherat

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SetDocBaseRule(org.apache.commons.digester.Digester digester)` Construct a new instance of this Rule.

Method Summary
`void` | `begin(org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetDocBaseRule

    public SetDocBaseRule(org.apache.commons.digester.Digester digester)

  Construct a new instance of this Rule.

Parameters:
  `digester` - Digester we are associated with

Method Detail

### begin

    public void begin(org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Handle the beginning of an XML element.

  Parameters:
    `attributes` - The attributes of this element
  Throws:
    `java.lang.Exception` - if a processing error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.